Bug 24214 - Due date displayed in ISO format (when sticky)
Summary: Due date displayed in ISO format (when sticky)
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-11 11:20 UTC by Jonathan Druart
Modified: 2020-02-14 08:20 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.05.08, 19.11.03


Attachments
Bug 24214: Fix due date formatting when sticky (2.13 KB, patch)
2019-12-11 11:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24214: Fix due date formatting when sticky (2.19 KB, patch)
2020-01-03 07:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
[18.11.x] Bug 24214: Fix due date formatting when sticky (1.93 KB, patch)
2020-02-14 08:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-12-11 11:20:41 UTC

    
Comment 1 Jonathan Druart 2019-12-11 11:25:45 UTC
Created attachment 96193 [details] [review]
Bug 24214: Fix due date formatting when sticky

When checking out and sticky due date is selected, on the next screen
the due date is displayed iso-formatted, instead of following the
dateformat syspref

Test plan:
0/ Do not apply the patch
1/ Check an item out, with a selected due date. Tick "Remember for
session"
2/ Next screen you see the date like YYYY-MM-DD HH:MM
regarless the value of the dateformat syspref
3/ Apply this patch
4/ Reload the page
=> The date is correctly formatted
5/ Check an item out
=> Due date is correctly set
Comment 2 Katrin Fischer 2020-01-03 07:03:15 UTC
Created attachment 96787 [details] [review]
Bug 24214: Fix due date formatting when sticky

When checking out and sticky due date is selected, on the next screen
the due date is displayed iso-formatted, instead of following the
dateformat syspref

Test plan:
0/ Do not apply the patch
1/ Check an item out, with a selected due date. Tick "Remember for
session"
2/ Next screen you see the date like YYYY-MM-DD HH:MM
regarless the value of the dateformat syspref
3/ Apply this patch
4/ Reload the page
=> The date is correctly formatted
5/ Check an item out
=> Due date is correctly set

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2020-01-20 07:07:18 UTC
Tiny template change - PQA.
Comment 4 Martin Renvoize 2020-01-20 14:04:37 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Lucas Gass 2020-02-13 17:02:34 UTC
backported to 19.11.x for 19.11.03

backported to 19.05.x for 19.05.08
Comment 6 Hayley Mapley 2020-02-14 03:00:18 UTC
Hi there,

Could you please rebase this patch for 18.11.x?
Comment 7 Jonathan Druart 2020-02-14 08:20:24 UTC
Created attachment 98900 [details] [review]
[18.11.x] Bug 24214: Fix due date formatting when sticky

When checking out and sticky due date is selected, on the next screen
the due date is displayed iso-formatted, instead of following the
dateformat syspref

Test plan:
0/ Do not apply the patch
1/ Check an item out, with a selected due date. Tick "Remember for
session"
2/ Next screen you see the date like YYYY-MM-DD HH:MM
regarless the value of the dateformat syspref
3/ Apply this patch
4/ Reload the page
=> The date is correctly formatted
5/ Check an item out
=> Due date is correctly set

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>